Adium
Dock Icons Emoticons Contact List Styles Message Styles Sound Sets AppleScripts Status Icons Service Icons Menu Bar Icons Plugins Miscellaneous All
AdiumQQ

AdiumQQ

Submitted By William Orr (worr)

Description

This plugin provides support for QQ2010, QQ2011 and QQ2012 in Adium.

Allows users to communicate on the new QQ2012 protocol. Wrapper around libqq-pidgin plugin.

If you want emoticons, there is a supplemental Xtra available here.

BUGS
  • Cannot add/remove buddies
  • Cannot add/remove Qun
  • No buddy icon support

  • These are problems with libqq-pidgin, and are being worked on.

    If you find bugs with the plugin, please file them on the official bug tracker.

Changes

November 7, 2012
Works with 1.5.4

September 2, 2012
Uses libqq-pidgin 0.72
Works with QQ2012 and QQ2011 protocols

June 13, 2012
Updated for 1.5

Comments

You can reply to individual comments by clicking the "Reply" link next to each.

# by yanhao on 01/18/12 at 09:24:24

this one doesn't work on MAC 10.5.8 computers.
can you develop MAC 10.5. 8 version?

Thanks

Yan hao Li
MA FASHION PHOTOGRAPHY University of the arts London
MSC Neuroscience King's College London
From munich Germany

# by worr on 01/18/12 at 10:19:29

Unfortunately, this is not actually possible. This plugin requires a beta version of Adium, from beta.adium.im. It requires Mac OS X 10.6 or later. Sorry for the inconvenience.

# by bliblablubb on 01/23/12 at 10:56:05

I would be also very interested in a OSX 10.5 / Adium 1.4.4 compatible version of this plugin. Is there no way to create a compatible version?

# by worr on 01/25/12 at 05:32:51

I'll look into trying to make it compatible. It might not be possibly without modifying the original plugin upon which it is built on top of, and that was something I was looking to avoid.

# by swamiji on 01/25/12 at 17:10:44

Does not seem to be working, It fails connection and retries, forever. Apparently SZ2 is not responding. Tried SZ9 and it worked. Anyway to get the plug-in to auto switch?

# by worr on 01/26/12 at 07:21:41

I'll look into it, and try and push that out in the next version.

# by swamiji on 01/26/12 at 04:30:56

I have been using the Plug-in for a bit, found that the emoticons do not work correctly. What appears in Adium is correct, what the remote QQ contact is sends is correct, however if I send a emoticons to a QQ client from Adium, they receive the text, not the emoticon. I think something gets lost in the translation.

# by swamiji on 01/26/12 at 05:22:27

Apparently QQ wants the Emoticon to begin with a / and end with a $. The current Emoticons set do not provide for this. By selecting the Emoticon and then typing the $ key, then press enter, it works... mostly.

# by worr on 01/26/12 at 07:16:40

Can you try using one of the QQ emoticon addons? Emoticons are really outside of the scope of this plugin. If you still have issues, then I'll see if I can try and get it to add the necessary characters to emoticons.

# by swamiji on 01/26/12 at 07:21:27

The existing QQ emoticon addons do not have the $ terminator, I edited the xml on one, and got it work, mostly...

# by worr on 01/26/12 at 07:25:45

I'll take a look at it then. Thanks for the information.

# by worr on 02/18/12 at 10:56:26

I have a modified set of the emoticons on my github.

https://github.com/worr/AdiumQQ/downloads

# by swamiji on 01/27/12 at 13:42:30

I have a new problem, when I use the Adium QQ Plug-in to access QQ, QQ says I present a security risk, and i restricts my access until I change my Password. This has happened several times. This does not happen when I use the QQ client...

# by zsabay on 04/03/12 at 14:48:25

I have the same problem =(

# by worr on 04/17/12 at 03:59:38

This is a known bug, possibly with the QQ library my plugin uses. I've been working on a fix currently. A new version will be posted once I come up with one.

# by Mengxue on 04/07/12 at 17:55:44

I have only logged in successfully once, for about 5mins, receiving one message, then I was forced off-line. The note says my connection will harm other users(?). After that, I cannot log in.

# by worr on 04/30/12 at 01:45:33

This is a known bug and I'm looking into it. It might be due to the wrapper that AdiumQQ uses.

# by sashaw on 05/16/12 at 02:00:40

The QQ Qun is not displayed.

# by worr on 05/16/12 at 04:34:19

This is a bug with libqq-purple, and I will pass it onto them.

# by crocoangel on 09/14/12 at 07:50:39

where could I find the attachment?

# by worr on 09/14/12 at 15:31:46

What attachment are you talking about?

# by mumug on 09/15/12 at 13:15:49

I installed AdiumQQ but how can I use it to login QQ?

# by mumug on 09/15/12 at 13:27:06

I'm using Adium nightly build 1.6hgr5041 and OS10.6.8

# by worr on 09/16/12 at 07:33:54

Install the plugin, and then create a new Tencent QQ account.

# by mumug on 09/16/12 at 09:55:31

Great! QQ connected.

# by cloudzine on 09/27/12 at 02:01:03

I can't login QQ with my uid. (adiumx 1.5.3 osx10.8.2)

# by worr on 12/19/12 at 04:43:13

Can you give me the error message you're getting?

Even better, file an official bug here: https://github.com/worr/AdiumQQ

# by Schubi on 12/16/12 at 04:57:17

The plugin only allows to sign in with an QQ number ID - email IDs are not supported. The error message I get is : "Invalid input - The characters you're entering are not valid for an account name on this service." Are there any plans to add this functionality?

# by worr on 12/19/12 at 04:44:45

Sure, I can add that. It might be a bit late in coming, as I'm focusing a lot of my energy on school right now.

# by Schubi on 12/22/12 at 14:53:40

Thanks for all the time you spend working on this! Much appreciated!

# by stevel on 01/02/13 at 12:31:58

Hi. I've installed the plugin and can now sign in with a QQ UID. But I can't add any new contacts, when I try to this Adium quits 'unexpectedly'. My OS level is 10.7.5 and the vsn of Adium is 1.5.4. Can you help?

# by stevel on 01/02/13 at 18:25:53

I've now been able to add a contact (I've had to create a new group, maybe it was my error before), but I can't save them. So whenever I go offline I lose the group and the contacts within the group. Do I need those contacts to acknowledge my request to add them as a contact before they will become permanent contacts?

# by worr on 01/06/13 at 05:41:44

This is a known issue - I think with libqq-pidgin. I will try and write a fix when I get some more time.

Thanks!

# by stevel on 01/08/13 at 20:22:28

Has anyone got the QQ plugin working? My OS X level is 10.7.5 and the vsn of Adium is 1.5.4 and the vsn of the plugin is 0.9.1
I can set up the account using sz9 server and is 'available' but no one can send a message to me, I am offline to them. Equally although I can set up contacts (and 'get contact info' confirms I've got the right QQID, this contact is always marked as not available even when they are actually online.

# by worr on 01/14/13 at 02:13:11

Are you still having this problem? Can you send a debug log to will AT worrbase DOT com?

Thanks!

# by fayyr on 02/23/13 at 03:20:39

I have the exactely same problem, and tried different server, none of them works. how can i send a debug log? Thanks

# by trezzo on 09/14/13 at 03:27:58

Hi,
Don't know whether you're still working on this project.
I got an error message when I connect to QQ: Unable to decrypt login reply

Is that because the new QQ 2013 has been released and the new protocol is applied?

Or it's just doesn't work on Mac?

I'm using the latest stable version of Adium--1.5.7.

Thanks

# by Evan87 on 03/21/14 at 12:32:41

thanks for your help.my environment is:

Adium Version: 1.5.9 (1.5.9)

OS Version: Mac OS X 10.9.2

AdiumQQ Version:0.9.1

Post a New Comment

You must be logged in to post comments.

Install | Download
389.53kb (3054 downloads)

12345
3.60 / 27 votes
Current Version: 0.9.1
Last Updated: 11/07/12
Credits:
William Orr
libqq-pidgin team